#
# spec file for package xboard (Version 4.2.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xboard
Copyright:    GPL
Group:        Amusements/Games
Requires:     gnuchess
Autoreqprov:  on
Version:      4.2.3
Release:      121
Summary:      X11 Interface for GNU Chess
Source:       xboard-%{version}.tar.bz2
Patch:        xboard-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-build

%description
X11 Interface for GNU Chess

Authors:
--------
    Tim Mann <mann@src.dec.com>
    Chris Sears
    Dan Sears
    Elmar Bartel <bartel@@informatik.tu-muenchen.de>

SuSE series: fun

%prep
%setup
%patch

%build
(CFLAGS="-O3 -fno-strength-reduce -pipe";
 LDFLAGS="-s -Wl,-warn-common";
 ./configure --prefix=/usr/X11R6 --infodir=%{_infodir})
rm parser.c
make more

%install
make bindir=$RPM_BUILD_ROOT/usr/X11R6/bin \
	man6dir=$RPM_BUILD_ROOT/usr/X11R6/man/man6 \
	infodir=$RPM_BUILD_ROOT/%{_infodir} \
	install
mkdir html
cp *.html html

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc FAQ READ_ME ToDo COPYRIGHT html
/usr/X11R6/bin/*
%doc /usr/X11R6/man/man6/*
%doc %{_infodir}/xboard.info*

%changelog -n xboard
* Sat Sep 22 2001 - sndirsch@suse.de
- RPM Group tag set to Amusements/Games, so it can be found easier
* Mon Aug 06 2001 - dan@suse.cz
- patched to run with new gnuchess (5.02)
* Thu Apr 12 2001 - ro@suse.de
- removed unsupported -I option from texi2html call
* Thu Feb 22 2001 - pblaha@suse.cz
- update on 4.2.3
* Thu Feb 08 2001 - pblaha@suse.cz
- update on 4.2.2
* Fri Sep 22 2000 - vinil@suse.cz
- update to 4.1.0;
- %%{_infodir} used
* Tue May 02 2000 - vinil@suse.cz
- buildroot added
* Wed Jan 26 2000 - ro@suse.de
- update to 4.0.5 ; info to /usr/share
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 18 1998 - ro@suse.de
- updated to version 4.0.0 / added tool zic2xpm and html-documentation
- html start-page is /usr/doc/packages/xboard/html/xboard_toc.html
* Thu Jul 23 1998 - werner@suse.de
  Make pxboard more secure ... use mktmep if avaliable
* Thu Oct 09 1997 - ro@suse.de
  ready for autobuild
